using QwirkleClassLibrary.Games;
using QwirkleClassLibrary.Players;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Qwirkle.Views;

public partial class ScoreboardLine : ContentView
{

    public ScoreboardLine()
    {
        InitializeComponent();
        BindingContext = this;
    }

    public static readonly BindableProperty NameplayerProperty =
            BindableProperty.Create(nameof(Nameplayer), typeof(string), typeof(ScoreboardLine), default(string), propertyChanged: OnPlayerChanged);


    public string Nameplayer
    {
        get => (string)GetValue(NameplayerProperty);
        set => SetValue(NameplayerProperty, value);
    }

    private static void OnPlayerChanged(BindableObject bindable, object oldValue, object newValue)
    {
        var bin = (ScoreboardLine)bindable;
        bin.OnPropertyChanged(nameof(Nameplayer));
    }


}